'use strict';

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _common = require('./plugin/common');

var _common2 = _interopRequireDefault(_common);

var _loadingBar = require('./plugin/loading-bar');

var _loadingBar2 = _interopRequireDefault(_loadingBar);

var _notification = require('./plugin/notification');

var _notification2 = _interopRequireDefault(_notification);

var _preview = require('./plugin/preview');

var _preview2 = _interopRequireDefault(_preview);

var _filters = require('./plugin/filters');

var _filters2 = _interopRequireDefault(_filters);

var _dialog = require('./plugin/dialog');

var _dialog2 = _interopRequireDefault(_dialog);

var _loading = require('./plugin/loading');

var _loading2 = _interopRequireDefault(_loading);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(function (global, factory) {
    (typeof exports === 'undefined' ? 'undefined' : (0, _typeof3.default)(exports)) === 'object' && typeof module !== 'undefined' ? module.exports = factory() : typeof define === 'function' && define.amd ? define(factory) : global.EduUI = factory();
})(undefined, function () {
    'use strict';

    function install(Vue) {
        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {
            Popover: false,
            Dialog: true,
            loading: true,
            Notification: true,
            Preview: false,
            LoadingBar: false,
            filters: true
        };

        var RADON_EVENT_BUS = new Vue({
            data: {
                EDU_DIALOG: null,
                RADON_NOTIFICATION: [],
                RADON_MODAL: {
                    show: false,
                    title: '',
                    content: '',
                    rawContent: '',
                    cancel: function cancel() {},
                    confirm: function confirm() {},
                    large: false,
                    cancelButton: {
                        show: true,
                        type: '',
                        text: '取消'
                    },
                    confirmButton: {
                        show: true,
                        type: 'primary',
                        text: '确定'
                    }
                },
                'RADON_LOADING_BAR': {
                    percent: 0,
                    options: {
                        canSuccess: true,
                        color: 'rgb(143, 255, 199)',
                        failedColor: 'red',
                        show: false,
                        height: '2px'
                    }
                }
            }
        });
        window.RADON_EVENT_BUS = RADON_EVENT_BUS;


        var RadonInit = function RadonInit(vm) {
            (0, _common2.default)(Vue, vm);


            if (options.Notification) {
                (0, _notification2.default)(Vue, vm);
            }

            if (options.LoadingBar) {
                (0, _loadingBar2.default)(Vue, vm);
            }

            if (options.loading) {
                (0, _loading2.default)(Vue, vm);
            }

            if (options.Preview) {
                (0, _preview2.default)(Vue, vm);
            }

            if (options.filters) {
                (0, _filters2.default)(Vue, vm);
            }

            if (options.Dialog) {
                (0, _dialog2.default)(Vue, vm);
            }
        };

        RadonInit(RADON_EVENT_BUS);
    }
    return install;
});