'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _dom = require('../utils/dom');

exports.default = function (Vue) {
	Vue.component('edu-loading', EduLoading);
	Vue.component('edu-spin', EduSpin);

	Vue.directive("loading", {
		bind: function bind(el, binding, vnode, oldVnode) {
			(0, _dom.addClass)(el, "loading-mask");
			var node = document.createElement("div");
			var loadingText = el.getAttribute("loading-text");
			var contentArr = [];
			contentArr.push('<div class="rd-spin-content"><div class="rd-loader-circle">Loading...</div></div>');
			if (loadingText) {
				contentArr.push('<div class="loading-text">' + loadingText + '</div>');
			}
			node.innerHTML = contentArr.join("");
			(0, _dom.addClass)(node, "loading-content");
			el.appendChild(node);
			if (binding.value != true) {
				(0, _dom.addClass)(el, "hide");
			}
		},
		update: function update(el, binding, vnode, oldVnode) {
			if (binding.value != true) {
				(0, _dom.addClass)(el, "hide");
			} else {
				(0, _dom.removeClass)(el, "hide");
			}
		}
	});
};