'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (Vue, $root) {
	Vue.filter('datefilter', function (value) {
		var format = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'YYYY-MM-DD ';

		var current = (0, _moment2.default)(Date.parse(value));
		if ((0, _moment2.default)(Date.parse(value)).format(format) === 'Invalid date') {
			current = (0, _moment2.default)().format(format);
		}
		return current;
	});
	Vue.filter('fileSize', function (sizeStr) {
		if (!sizeStr) {
			return sizeStr;
		}
		var size = Number(sizeStr);

		if (isNaN(size)) {
			return sizeStr;
		}
		var suffix = "B";

		if (size > 1024) {
			suffix = "KB";
			size = Math.ceil(size / 1024 * 10) / 10;
		}

		if (size >= 1024) {
			suffix = "M";
			size = Math.ceil(size / 1024 * 100) / 100;
		}

		if (size >= 1024) {
			suffix = "G";
			size = Math.ceil(size / 1024 * 100) / 100;
		}

		return size + suffix;
	});
};