'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _dom = require('../utils/dom');

var _Loading = require('../global/Loading.vue');

var _Loading2 = _interopRequireDefault(_Loading);

var _spin = require('../common/spin.vue');

var _spin2 = _interopRequireDefault(_spin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (Vue) {
	Vue.component('edu-loading', _Loading2.default);
	Vue.component('edu-spin', _spin2.default);

	Vue.directive("loading", {
		bind: function bind(el, binding, vnode, oldVnode) {
			(0, _dom.addClass)(el, "loading-mask");
			var node = document.createElement("div");
			var loadingText = el.getAttribute("loading-text");
			var contentArr = [];
			contentArr.push('<div class="edu-spin-content"><div class="edu-loader-circle">Loading...</div></div>');
			if (loadingText) {
				contentArr.push('<div class="loading-text">' + loadingText + '</div>');
			}
			node.innerHTML = contentArr.join("");
			(0, _dom.addClass)(node, "loading-content");
			el.appendChild(node);
			if (binding.value != true) {
				(0, _dom.addClass)(el, "loading-hide");
			}
		},
		update: function update(el, binding, vnode, oldVnode) {
			if (binding.value != true) {
				(0, _dom.addClass)(el, "loading-hide");
			} else {
				(0, _dom.removeClass)(el, "loading-hide");
			}
		}
	});
};