'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _index = require('../index');

exports.default = function (Vue, $root) {
    Vue.component('edu-notification', _index.EduNotification);

    Vue.prototype.$Notification = {
        remove: function remove(item, duration) {
            setTimeout(function () {
                var tempIndex = $root.RADON_NOTIFICATION.indexOf(item);
                $root.RADON_NOTIFICATION.splice(tempIndex, 1);
            }, duration);
        },
        create: function create(type, title, content, duration) {
            var item = {
                type: type,
                title: title,
                content: content
            };
            $root.RADON_NOTIFICATION.push(item);
            if (duration) {
                this.remove(item, duration);
            }
        },
        success: function success(title, content, duration) {
            this.create('success', title, content, duration);
        },
        info: function info(title, content, duration) {
            this.create('info', title, content, duration);
        },
        warning: function warning(title, content, duration) {
            this.create('warning', title, content, duration);
        },
        failed: function failed(title, content, duration) {
            this.create('failed', title, content, duration);
        }
    };
};