import Vue from 'vue'
import VueResource from 'vue-resource'
import VueRouter from 'vue-router'

import App from './App'
import routes from './router/index'
import highlight from 'highlight.js'
import marked from 'marked'
import { EduInstall } from 'edu-ui'

Vue.use(VueResource)
Vue.use(VueRouter)
Vue.use(EduInstall)

marked.setOptions({
    highlight: function (code) {
        return window.highlight.highlightAuto(code).value
    }
})

window.highlight = highlight
window.marked = marked

var router = new VueRouter({
  routes,
  linkActiveClass:'cur'
});

const app = new Vue({
  router,
  el:'#app',
  template: '<App/>',
  components: {
    App
  }
})
