import commonInstall from './plugin/common'
/*import popoverIntall from './plugin/Popover'*/
import loadingBarInstall from './plugin/loading-bar'
import notificationInstall from './plugin/notification'
import previewInstall from './plugin/preview'
import filtersInstall from './plugin/filters'
import dialogInstall from './plugin/dialog'

import loadingInstall from './plugin/loading'
/*eslint-disable*/
(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
    typeof define === 'function' && define.amd ? define(factory) :
    (global.EduUI = factory())
}(this, function () {
/*eslint-enable*/
    'use strict'
    function install (Vue, options = {
        Popover: false,
        Dialog: true,
        loading:true,
        Notification: true,
        Preview: false,
        LoadingBar: false,
        filters: true
    }) {
        const RADON_EVENT_BUS = new Vue({
            data:{
                EDU_DIALOG:null,
                RADON_NOTIFICATION:[],
                RADON_MODAL:{
                    show: false,
                    title: '',
                    content: '',
                    rawContent: '',
                    cancel: () => {},
                    confirm: () => {},
                    large: false,
                    cancelButton: {
                        show: true,
                        type: '',
                        text: '取消'
                    },
                    confirmButton: {
                        show: true,
                        type: 'primary',
                        text: '确定'
                    }
                },
                'RADON_LOADING_BAR' : {
                    percent: 0,
                    options: {
                        canSuccess: true,
                        color: 'rgb(143, 255, 199)',
                        failedColor: 'red',
                        show: false,
                        height: '2px'
                    }
                }
            }
        })
        window.RADON_EVENT_BUS = RADON_EVENT_BUS;
       /* Vue.use(require('vue-animated-list'))*/

        const RadonInit =(vm) => {
            commonInstall(Vue,vm);
            /*if (options.Popover) {
                popoverIntall(Vue,vm)
            }*/

            if (options.Notification) {
                notificationInstall(Vue,vm)
            }

            if (options.LoadingBar) {
                loadingBarInstall(Vue,vm)
            }

            if (options.loading) {
                loadingInstall(Vue,vm)
            }

            if (options.Preview) {
                previewInstall(Vue,vm)
            }

            if (options.filters) {
                filtersInstall(Vue,vm)
            }

            if (options.Dialog) {
                dialogInstall(Vue,vm)
            }
        }

        RadonInit(RADON_EVENT_BUS);
    }
    return install
}))
