import {
    EduModal,
    EduDialog
} from '../index'

export default (Vue, $root) => {

    Vue.component('edu-modal', EduModal)
    Vue.component('edu-dialog', EduDialog)
    
    var vm=new Vue({
        data:{
            dialogVisible:true,
            title: '提示',
            content: '',
            cancel: () => {},
            cancelText: "取消",
            confirm: () => {},
            confirmText: "确定",
            size: "normal",
            close:()=>{}
        },
        template:`<edu-dialog v-model='dialogVisible' 
                    :title='title' 
                    :content='content' 
                    :cancel='cancel'
                    :cancelText='cancelText'
                    :confirm='confirm'
                    :confirmText='confirmText' 
                    :size='size'
                    :close='close'
                    >
                </edu-dialog>`
    });

    var isString=function(str){
        return typeof str === 'string' ? true:false;
    }

    Vue.prototype.$dialog={
        init:function(options){
            if(!vm.$el){
                vm.$mount("#globalDialog");
            }

            vm.dialogVisible=true;
            if(options.title){
                vm.title=options.title;
            }else{
                vm.title="提示";
            }
            if(options.content){
                vm.content=options.content;
            }
            if(options.cancel!=null){
                vm.cancel=options.cancel;
            }
            if(options.cancelText){
                vm.cancelText=options.cancelText;
            }
            
            vm.confirm=options.confirm||function(){};

            if(options.confirmText){
                vm.confirmText=options.confirmText;
            }
            if(options.size){
                vm.size=options.size;
            }
            if(options.close){
                vm.close=options.close;
            }else{
                vm.close=function(){};
            }
        },
        alert:function(arg1,arg2) {
            var options={};
            if(isString(arg1)){
                options={
                    title:"提示",
                    content:arg1,
                    confirm:arg2
                };
            }else{
                options=arg1;
            }
            if(!options.cancel){
                options.cancel=false;
            }

            this.init(options);
           /* this.EDU_DIALOG=options;*/
        },
        success:function(arg1,arg2){
            var options={};
            if(isString(arg1)){
                options={
                    title:"提示",
                    content:arg1,
                    confirm:arg2
                };
            }else{
                options=arg1;
            }
            if(!options.cancel){
                options.cancel=false;
            }

            this.init(options);
        },
        error:function(arg1,arg2){
            var options={};
            if(isString(arg1)){
                options={
                    title:"错误提示",
                    content:arg1,
                    confirm:arg2
                };
            }else{
                options=arg1;
            }
            if(!options.cancel){
                options.cancel=false;
            }
            this.init(options);
        },
        confirm:function(arg1,arg2,arg3){
            var options={};
            if(isString(arg1)){
                options={
                    title:"确认信息",
                    content:arg1,
                    confirm:arg2,
                    cancel:function(){}||arg3
                };
            }else{
                options=arg1;
            }
            this.init(options);
        },
        open:function(options){
            this.init(options);
        }
    };
}
