import moment from 'moment'
export default (Vue, $root) => {
    Vue.filter('datefilter', function (value, format = 'YYYY-MM-DD ') {
		// 全局方法 Vue.filter() 注册一个自定义过滤器,必须放在Vue实例化前面
        let current = moment(Date.parse(value))
        if (moment(Date.parse(value)).format(format) === 'Invalid date') {
            current = moment().format(format)
        }
        return current
    })
    Vue.filter('fileSize', function (sizeStr) {
		// 全局方法 Vue.filter() 注册一个自定义过滤器,必须放在Vue实例化前面
       if(!sizeStr){
	      return sizeStr;
	    }
	    var size=Number(sizeStr);

	    if(isNaN(size)){
	      return sizeStr;
	    }
	    var suffix="B";

	    if(size>1024){
	      suffix="KB";
	      size=Math.ceil(size/1024*10)/10;
	    }

	    if(size>=1024){
	      suffix="M";
	      size=Math.ceil(size/1024*100)/100;
	    }

	    if(size>=1024){
	      suffix="G";
	      size=Math.ceil(size/1024*100)/100;
	    }

	    return size+suffix;
    })
}
