import {addClass,removeClass} from '../utils/dom';
import EduLoading from '../global/Loading.vue';
import EduSpin from '../common/spin.vue';
/*
loading 组件 及指令作为插件加载
add by huzhen 2017-05-20
*/
export default (Vue) => {
 	Vue.component('edu-loading', EduLoading);
 	Vue.component('edu-spin', EduSpin);

	Vue.directive("loading",{
		bind(el,binding,vnode,oldVnode){
			addClass(el,"loading-mask");
			var node=document.createElement("div");
			var loadingText=el.getAttribute("loading-text");
			var contentArr=[];
			contentArr.push('<div class="edu-spin-content"><div class="edu-loader-circle">Loading...</div></div>');
			if(loadingText){
				contentArr.push('<div class="loading-text">'+loadingText+'</div>');
			}
			node.innerHTML=contentArr.join("");
			addClass(node,"loading-content");
			el.appendChild(node);
			if(binding.value!=true){
				addClass(el,"loading-hide");
			}
		},
		update(el,binding,vnode,oldVnode){
			if(binding.value!=true){
				addClass(el,"loading-hide");
			}else{
				removeClass(el,"loading-hide");
			}
		}
	});
}