import {
    EduNotification
} from '../index'

export default (Vue, $root) => {
    Vue.component('edu-notification', EduNotification)

    Vue.prototype.$Notification = {
        remove (item, duration) {
            setTimeout(() => {
                var tempIndex = $root.RADON_NOTIFICATION.indexOf(item);
                $root.RADON_NOTIFICATION.splice(tempIndex, 1);
            }, duration)
        },
        create (type, title, content, duration) {
            let item = {
                type: type,
                title: title,
                content: content
            }
            $root.RADON_NOTIFICATION.push(item)
            if (duration) {
                this.remove(item, duration)
            }
        },
        success (title, content, duration) {
            this.create('success', title, content, duration)
        },
        info (title, content, duration) {
            this.create('info', title, content, duration)
        },
        warning (title, content, duration) {
            this.create('warning', title, content, duration)
        },
        failed (title, content, duration) {
            this.create('failed', title, content, duration)
        }
    }
}
